Loading...
Searching...
No Matches
build_parsing.cpp File Reference

Implements raptor::build_parsing. More...

`#include <cereal/archives/json.hpp>`
`#include <chopper/configuration.hpp>`
`#include <chopper/prefixes.hpp>`
`#include <raptor/argument_parsing/build_parsing.hpp>`
`#include <raptor/argument_parsing/compute_bin_size.hpp>`
`#include <raptor/argument_parsing/init_shared_meta.hpp>`
`#include <raptor/argument_parsing/parse_bin_path.hpp>`
`#include <raptor/argument_parsing/shared.hpp>`
`#include <raptor/argument_parsing/validators.hpp>`
`#include <raptor/build/raptor_build.hpp>`

## Functions

void | raptor::build_parsing (sharg::parser &parser)
void | raptor::init_build_parser (sharg::parser &parser, build_arguments &arguments)
bool | raptor::input_is_pack_file (std::filesystem::path const &path)
void | raptor::parse_chopper_config (sharg::parser &parser, build_arguments &arguments)
void | raptor::parse_shape_from_minimiser (sharg::parser &parser, build_arguments &arguments)
bool | raptor::read_chopper_config (chopper::configuration &config, std::filesystem::path const &config_file)

## Detailed Description

Implements raptor::build_parsing.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>